Chris
Cheney
ccheney@debian.org
7. marts, 2003
dcop
1

# `dcop`

&DCOP;-klient for terminalen

    dcop --pipe --user  user --all-users --session  session --all-sessions --list-sessions --no-user-time  program  objekt  funktion argumenter

## Beskrivelse

&DCOP;-klient for terminalen

## Tilvalg

`--pipe`

  Kald &DCOP; for hver linje indlæst fra stdin.

  Dette er nogenlunde ækvivalent med at kalde `while read line ; do dcop $line ; done` men fordi ingen ny `dcop` udgave skal startes for hver linje er dette generelt meget hurtigere, især for de langsommere GNU dynamiske linkere.

`--user` bruger

  Forbind til den givne brugers &DCOP;-server. Dette vil ignorere værdierne af miljøvariablerne $`DCOPSERVER` og $`ICEAUTHORITY`, også selvom de er sat.

  Hvis brugeren har mere end en åben session, skal du også bruge et `--list-sessions`, `--session` eller `--all-sessions` kommandolinjeflagene.

`--all-users`

  Send det samme &DCOP;-kald til alle bruger med en kørende &DCOP;-server. Kun mislykkede kald til eksisterende &DCOP;-servere vil generere en fejlmeddelelse. Hvis ingen &DCOP;-server er tilgængelig i det hele taget, vil ingen fejl blive genereret.

`--session` session

  Send til den givne &kde;-session. Dette kan kun bruges sammen med `--user` tilvalget.

`--all-sessions`

  Send til alle sessioner der findes. Virker kun med `--user` og `--all-users` tilvalgene.

`--list-sessions`

  Lav en liste af alle aktive &kde;-sessioner for en bruger eller alle brugere.

`--no-user-time`

  Opdatér brugeraktivitetens tidsstempel i det kaldte program (til brug i scripter der kører i baggrunden).

## Miljø

`DCOPSERVER`

`ICEAUTHORITY`

## Se også

dcopclient(1) dcopref(1) dcopfind(1) kdcop(1)

Indeni &kde;, kan du indtastet `help:/kdcop` i &konqueror; for at se brugermanualen for kdcop's grafiske dcop-værktøj.